package com.bonus.canteen.core.tenant;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

@Component
@RefreshScope
@ConfigurationProperties(
   prefix = "tenant"
)
public class TenantConfigProperties {
   private String mdc = "x-tenant";
   private String carrierName = "X-Tenant";

   public String getMdc() {
      return this.mdc;
   }

   public String getCarrierName() {
      return this.carrierName;
   }

   public void setMdc(final String mdc) {
      this.mdc = mdc;
   }

   public void setCarrierName(final String carrierName) {
      this.carrierName = carrierName;
   }


}
